<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!--TITLE-->
    <title>VP Money Transfer</title>

    <!-- Favicon icon -->
    <link rel="shortcut icon" type="image/png" href="images/favicon.png"/>

    <!-- Stylesheet -->

    <link rel="stylesheet" type="text/css" th:href="@{/css/adminCsstyle.css}" href="../static/css/adminCsstyle.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/bootstrap.min.css}" href="../static/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/adminStyle.css}" href="../static/css/adminStyle.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/all.min.css}" href="../static/css/all.min.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/style.css}" href="../static/css/style.css">

</head>
<body>
<!-- Preloader -->
<div id="preloader">
    <div id="status"></div>
</div>

<!-- Header start  -->
<header class="header">
    <div class="container d-flex align-items-center">
        <a class="logo" href="/">
            <img src="images/VP.png" alt="">
        </a>
        <nav class="primary-menu text-md-right">
            <a id="mobile-menu-toggler" href="#"><i class="fas fa-bars"></i></a>
            <ul>
                <li><a href="/">Home</a></li>
                <li><a href="/send-money-process">Send Money</a></li>
                <li><a href="/about">About</a></li>
                <li><a href="/contact">Contact</a></li>
                <li class="has-menu-child pro-menu-drop">
                    <a href="#">
                        <div class="header-pro-thumb">
                            <img class="rounded-circle" th:unless="${user.picture==null}"
                                 th:src="@{'data:image/jpeg;base64,' + ${user.picture}}" alt="">
                            <img class="rounded-circle" th:if="${user.picture==null}"
                                 src="images/profile-img.jpeg" alt="">
                        </div>
                        <div th:text="${user.username}"></div>
                        <i class="fas fa-chevron-down"></i>
                    </a>
                    <ul class="dropdown-menu-md sub-menu profile-drop">

                        <li class="nav__create-new-profile-link">
                            <a href="/profile">
                                <span>View personal profile</span>
                            </a>
                        </li>
                        <li class="divider"></li>

                        <li class="nav__dropdown-menu-items">
                            <a href="/logout"><i class="icon icon-logout"></i><span>Logout</span></a></li>
                    </ul>
                </li>
            </ul>
        </nav>
    </div>
</header>
<!-- Header end -->

<!-- Admin Hero section-->
<div class="hero-section">
</div>
<!-- Admin End of Hero section-->

<!-- Content -->
<div id="content" class="py-4">
    <div class="container">
        <div class="row">

            <!-- Left sidebar -->
            <aside class="col-lg-3 sidebar">
                <div class="widget admin-widget p-0">
                    <div class="Profile-menu">
                        <ul class="nav secondary-nav">
                            <li class="nav-item active"><a class="nav-link " href="/dashboard"><i
                                    class="fas fa-tachometer-alt"></i> Dashboard</a></li>
                            <li class="nav-item"><a class="nav-link" href="/profile"><i class="fab fa-autoprefixer"></i>
                                My Profile</a></li>
                            <li class="nav-item" sec:authorize="hasRole('ADMIN')"><a class="nav-link" href="/users"><i
                                    class="fab fa-autoprefixer"></i> All users</a></li>
                            <li class="nav-item"><a class="nav-link" href="/wallets-and-cards"><i
                                    class="fas fa-university"></i> Wallets & Cards</a></li>
                            <li class="nav-item"><a class="nav-link" href="/deposit-money"><i class="fas fa-plus"></i>
                                Deposit Money to wallet</a></li>
                            <li class="nav-item"><a class="nav-link" href="/send-money-process"><i
                                    class="far fa-paper-plane"></i> Send Money to friend</a></li>
                            <li class="nav-item"><a class="nav-link" href="/transactions"><i class="fas fa-list-ul"></i>
                                My Transactions</a></li>
                            <li class="nav-item" sec:authorize="hasRole('ADMIN')"><a class="nav-link"
                                                                                     href="/all-transactions"><i
                                    class="fas fa-list-ul"></i> All Transactions</a></li>
                        </ul>
                    </div>
                </div>

                <div class="widget admin-widget">
                    <div class="Profile-menu">
                        <h3 th:text="${primaryWallet.name}"></h3>
                        <p>Available Balance</p>
                        <h2 th:text="${primaryWallet.balance} + ' BGN'"></h2>
                    </div>
                </div>

            </aside>
            <!-- Left Panel End -->

            <!-- Middle Panel  -->
            <div class="col-lg-9">
                <h2 class="admin-heading">My Cards</h2>
                <!-- Credit or Debit Cards  -->
                <div class="infoItems bg-offwhite">
                    <div class="row">
                        <div class="col-12 col-sm-6 col-lg-4" th:each="card : ${cards}" th:if="${!cards.isEmpty()}">
                            <div class="account-card account-card-primary">

                                <div class="row">
                                    <p class="card-number col-12" th:text="${card.number}">XXXX-XXXX-XXXX-8943</p>
                                </div>
                                <div class="row">
                                    <div class="col-6">
                                        <p class="valid-card">Valid to</p>
                                        <p class="expare" th:text="${#dates.format(card.exp_date, 'MM/yy')}">05/28</p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-8">
                                        <p class="card-holder-name" th:text="${card.ownerName}">Full Name</p>
                                    </div>
                                    <div class="col-4">
                                        <img class="ml-auto" src="images/visa.png" alt="visa" title="">
                                    </div>
                                </div>
                                <div class="account-card-overlay">
                                    <a class="text-light btn-link pbtn"
                                       th:href="@{'/wallets-and-cards/updateCard/' + ${card.id}}" th:method="get"
                                       data-toggle="modal"
                                       th:data-target="'#editCard' + ${card.id}">
                                        <span class="mr-1"><i
                                                class="fas fa-edit"></i></span>Edit</a>

                                    <a class="text-light btn-link pbtn"
                                       href="#" data-toggle="modal" th:data-target="'#staticBackdrop' + ${card.id}">
                                        <span class="mr-1">
                                        <i class="fas fa-minus-circle">
                                        </i>
                                        </span>
                                        Delete
                                    </a>

                                </div>
                            </div>
                            <br>
                        </div>

                        <div class="col-12 col-sm-6 col-lg-4">
                            <div class="account-card account-card-primary text-center p-4">
                                <a href="#" data-target="#add-new-card"
                                   class="account-card-new d-flex align-items-center  btn-link pbtn"
                                   data-id="add-new-card">
                                    <p class="text-center">
                                        <span class="text-3"><i class="fas fa-plus-circle"></i></span>
                                        <span class="d-block">Add New Card</span>
                                    </p>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Add New Card info  -->
                <div id="add-new-card" class="accord bg-offwhite mt-3 p-3">
                    <div class="content-edit-area">
                        <div class="edit-header">
                            <h5 class="title">Add a Card</h5>
                            <button type="button" class="close"><span aria-hidden="true">&times;</span></button>
                        </div>
                        <div class="edit-content">
                            <form id="add-Card" th:action="@{/wallets-and-cards/addCard}" th:object="${newCard}"
                                  method="post" onsubmit="return validateCard()">
                                <div class="row">
                                    <div class="col-6">
                                        <div class="form-group">
                                            <label for="your-card-provider">Your Card Provider</label>
                                            <select id="your-card-provider" class="custom-select" required="">
                                                <option value="02">Visa</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="cardNumber">Card Number</label>
                                    <input type="text" class="form-control" data-bv-field="cardNumber"
                                           th:field="${newCard.number}"
                                           id="cardNumber" required value="" placeholder="4123-4567-8901-1234">
                                </div>
                                <div class="form-group">
                                    <label for="fullName">First and Last Name</label>
                                    <input type="text" class="form-control" data-bv-field="fullName"
                                           th:field="${newCard.ownerName}"
                                           id="fullName" required value="" placeholder="Full Name"
                                    pattern="[a-zA-Z\s]{5,20}" title="Letters and spaces allowed only.">
                                </div>
                                <div class="row">
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="expiryDate">Expiry Date</label>
                                            <input id="expiryDate" type="month" class="form-control"
                                                   data-bv-field="expiryDate" required value="" placeholder="MM/YY">
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="cvvNumber">CVV <span class="text-info ml-1"
                                                                             data-toggle="tooltip"
                                                                             data-original-title="For Visa/Mastercard, the three-digit CVV number is printed on
                                             the signature panel on the back of the card immediately after the card's account number."><i
                                                    class="fas fa-question-circle"></i></span></label>
                                            <input id="cvvNumber" type="password" class="form-control"
                                                   th:field="${newCard.securityCode}"
                                                   data-bv-field="cvvnumber" required value=""
                                                   placeholder="CVV (3 digits)" pattern="[0-9]{3}"
                                            title="3 numbers allowed only." maxlength="3">
                                        </div>
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-default btn-center btn-block">
                                    <span class="bh"></span>
                                    <span>Add Card</span>
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
                <!-- Add New Card info End -->

                <!-- Edit Card info  -->
                <div th:each="card : ${cards}" th:id="editCard + ${card.id}" class="accord bg-offwhite mt-3 p-3"
                     data-backdrop="false">
                    <div class="content-edit-area">
                        <div class="edit-header">
                            <h5 class="title">Update Card</h5>
                            <button type="button" class="close"><span aria-hidden="true">&times;</span></button>
                        </div>
                        <div class="edit-content">
                            <form id="update-card" th:action="@{/wallets-and-cards/updateCard/{id}(id=${card.id})}"
                                  th:object="${updatedCard}" method="post">
                                <div class="form-group">
                                    <label for="editCardNumber">Your Card Number</label>
                                    <div class="input-group">
                                        <div class="input-group-prepend"><span class="input-group-text"><img
                                                class="ml-auto" src="images/visa.png" alt="visa" title=""></span></div>
                                        <input type="text" class="form-control" data-card-form="editCardNumber"
                                               id="editCardNumber" th:field="${updatedCard.number}"
                                               th:placeholder="${card.number}" pattern="^4[0-9]{12}(?:[0-9]{3})?$" title="First number should be 4 and 15 more to add."
                                               maxlength="16">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label for="edit-card-holder-name">Card Holder Name</label>
                                    <input type="text" class="form-control" data-card-form="edit-card-holder-name"
                                           id="edit-card-holder-name" th:field="${updatedCard.ownerName}"
                                           th:placeholder="${card.ownerName}"
                                           pattern="[a-zA-Z\s]{5,20}" title="Letters and spaces allowed only.">
                                </div>
                                <div class="form-row">
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="edit-expire-name">Expiry Date</label>
                                            <input id="edit-expire-name" type="month" class="form-control"
                                                   data-card-form="edit-expire-name"
                                                   th:field="${updatedCard.exp_date}"
                                                   th:placeholder="${updatedCard.exp_date}">
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="edit-cvv-number">CVV Number <span class="text-info ml-1"
                                                                                          data-toggle="tooltip"
                                                                                          data-original-title="The three-digit CVV number is printed on the signature panel on the back of the card immediately after the card's account number."><i
                                                    class="fas fa-question-circle"></i></span></label>
                                            <input id="edit-cvv-number" type="password" class="form-control"
                                                   data-card-form="edit-cvv-number"
                                                   th:field="${updatedCard.securityCode}"
                                                   placeholder="CVV (3 digits)"
                                                   pattern="[0-9]{3}"
                                                   title="3 numbers allowed only." maxlength="3">
                                        </div>
                                    </div>
                                </div>

                                <button class="btn btn-default d-block" type="submit">
                                    <span>Update Card</span>
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
                <!-- Edit Card info End -->

                <!-- Modal Delete Card-->
                <div th:each="card : ${cards}" th:id="staticBackdrop + ${card.id}" class="modal fade"
                     data-backdrop="static" tabindex="-1" role="dialog"
                     aria-labelledby="staticBackdropLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="staticBackdropLabel">Delete confirmation</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <p class="alert alert-danger">
                                    Are you sure you want to delete it?
                                </p>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
                                </button>
                                <a th:href="@{'/wallets-and-cards/deleteCard/' + ${card.id}}" style="color: white"
                                   class="btn btn-danger" id="delRef">Delete</a>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Modal Delete Card End -->
                <!-- Credit or Debit Cards End -->

                <!--Wallets start-->
                <br>
                <h2 class="admin-heading">My Wallets</h2>
                <div class="infoItems bg-offwhite">
                    <div class="row">
                        <div class="col-12 col-sm-6 col-lg-4" th:each="wallet : ${wallets}"
                             th:if="${!wallets.isEmpty()}">

                            <div class="account-card account-card-primary">
                                <p th:if="${wallet == primaryWallet}" class="pirotry text-right">Primary</p>
                                <div class="row">
                                    <p class="card-number col-12" th:text="${wallet.name}">Wallet name</p>
                                </div>
                                <div class="row">
                                    <p class="card-number col-12">Available Balance</p>
                                </div>
                                <div class="row">
                                    <p class="card-number col-8" th:text="${wallet.balance} + ' BGN'">Full Name</p>
                                </div>
                                <div th:unless="${wallet.name.equals('Primary Wallet')}" class="account-card-overlay">
                                    <a class="text-light btn-link pbtn" data-toggle="modal"
                                       th:href="@{'/wallets-and-cards/updateWallet/' + ${wallet.id}}" th:method="get"
                                       th:data-target="'#editWallet' + ${wallet.id}">
                                        <span class="mr-1"><i
                                            class="fas fa-edit"></i></span>Edit</a>

                                    <a class="text-light btn-link pbtn"
                                       href="#" data-toggle="modal" th:data-target="'#staticBackdropWallet' + ${wallet.id}">
                                        <span class="mr-1">
                                        <i class="fas fa-minus-circle">
                                        </i>
                                        </span>
                                        Delete
                                    </a>
                                </div>
                            </div>
                            <br>
                        </div>

                        <div class="col-12 col-sm-6 col-lg-4">
                            <div class="account-card account-card-primary text-center p-4">
                                <a href="#" data-target="#add-new-wallet"
                                   class="account-card-new d-flex align-items-center  btn-link pbtn"
                                   data-id="add-new-wallet">
                                    <p class="text-center">
                                        <span class="text-3"><i class="fas fa-plus-circle"></i></span>
                                        <span class="d-block">Add New Wallet</span>
                                    </p>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Add New Wallet info  -->
                <div id="add-new-wallet" class="accord bg-offwhite mt-3 p-3">
                    <div class="content-edit-area">
                        <div class="edit-header">
                            <h5 class="title">Add a Wallet</h5>
                            <button type="button" class="close"><span aria-hidden="true">&times;</span></button>
                        </div>
                        <div class="edit-content">
                            <form id="add-wallet" th:action="@{/wallets-and-cards/addWallet}" th:object="${newWallet}"
                                  method="post">

                                <div class="form-group">
                                    <label for="walletName"></label>
                                    <input type="text" class="form-control" data-bv-field="walletName"
                                           th:field="${newWallet.name}"
                                           id="walletName" required placeholder="Wallet Name"
                                           pattern="[a-zA-Z\s]{5,20}" title="Letters and spaces allowed only.">
                                </div>
                                <div class="form-group" hidden="hidden">
                                    <label for="ownerName">First and Last Name</label>
                                    <input type="text" class="form-control" data-bv-field="ownerName"
                                           th:field="${user.username}"
                                           id="ownerName" required value="" placeholder="Full Name">
                                </div>

                                <button type="submit" class="btn btn-default btn-center btn-block">
                                    <span class="bh"></span>
                                    <span>Add a Wallet</span>
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
                <!-- Add New Wallet info End -->

                <!-- Edit Wallet info  -->
                <div th:each="wallet : ${wallets}" th:id="editWallet + ${wallet.id}" class="accord bg-offwhite mt-3 p-3"
                     data-backdrop="false">
                    <div class="content-edit-area">
                        <div class="edit-header">
                            <h5 class="title">Wallet Name</h5>
                            <button type="button" class="close"><span aria-hidden="true">&times;</span></button>
                        </div>
                        <div class="edit-content">
                            <form id="update-wallet" th:action="@{/wallets-and-cards/updateWallet/{id}(id=${wallet.id})}"
                                  th:object="${updatedWallet}" method="post">

                                <div class="row">
                                    <label for="edit-wallet-name"></label>
                                    <input type="text"
                                           id="edit-wallet-name" th:field="${updatedWallet.name}"
                                           th:placeholder="${wallet.name}"
                                           pattern="[a-zA-Z\s]{5,20}" title="Letters and spaces allowed only.">
                                </div>

                                <button class="btn btn-default d-block" type="submit">
                                    <span>Update Wallet</span>
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
                <!-- Edit Wallet info End -->

                <!-- Delete Wallet-->
                <div th:each="wallet : ${wallets}" th:id="staticBackdropWallet + ${wallet.id}" class="modal fade"
                     data-backdrop="static" tabindex="-1" role="dialog"
                     aria-labelledby="staticBackdropLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="staticBackdropLabell">Delete confirmation</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <p class="alert alert-danger">
                                    Are you sure you want to delete it?
                                </p>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
                                </button>
                                <a th:href="@{'/wallets-and-cards/deleteWallet/' + ${wallet.id}}" style="color: white"
                                   class="btn btn-danger" id="delReff">Delete</a>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Delete Wallet End -->
                <!--Wallets end-->

            </div>
            <!-- Middle Panel End -->

        </div>
    </div>
</div>
<!-- Content end -->

<!-- Footer start -->
<footer class="footer">
    <div class="foo-btm">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <div class="foo-navigation">
                        <ul>
                            <li><a href="#">Terms and Conditions</a></li>
                            <li><a href="#">Privacy & Policy</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="copyright">Copyright &copy; <a></a>2020</div>
                </div>
            </div>
        </div>
    </div>
</footer>
<!-- Footer end -->

<!-- Document Wrapper end -->

<!-- Script -->
<script src="js/main.js"></script>
<script src="js/jquery.min.js"></script>
<script src="js/bootstrap.bundle.min.js"></script>
<script src="js/moment.min.js"></script>
<script src="js/daterangepicker.js"></script>
<script src="js/bootstrap-select.min.js"></script>
<script src="js/custom.js"></script>

<script src="js/jquery-3.3.1.min.js"></script>
<script src="js/jquery-ui.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/owl.carousel.min.js"></script>
<script src="js/owl.carousel2.thumbs.min.js"></script>
<script src="js/jquery.countdown.min.js"></script>
<script src="js/jquery.fancybox.min.js"></script>
<script src="js/jquery.nice-select.min.js"></script>
<script src="../../cdnjs.cloudflare.com/ajax/libs/gsap/2.1.3/TweenMax.min.js"></script>
<script src="../../s3-us-west-2.amazonaws.com/s.cdpn.io/106949/jquery.onscreen.js"></script>
<script src="js/scripts.js"></script>
</body>

</html>